# Class CancellableLimitingIterator<T>

java.lang.Object
com.google.common.collect.UnmodifiableIterator<T>
com.google.common.collect.AbstractIterator<T>
io.trino.jdbc.CancellableLimitingIterator<T>

All Implemented Interfaces:
  `Iterator<T>`

public class CancellableLimitingIterator<T> extends com.google.common.collect.AbstractIterator<T>

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
`protected T`
`computeNext()`

### Methods inherited from class com.google.common.collect.AbstractIterator

`endOfData, hasNext, next, peek`

### Methods inherited from class com.google.common.collect.UnmodifiableIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

## Method Details

### cancel

public void cancel()

### computeNext

protected T computeNext()

Specified by:
  `computeNext` in class `com.google.common.collect.AbstractIterator<T>`